
--------------------------------------------------------
--  ndexs per a la taula CATALEGVEHICLE
--------------------------------------------------------

CREATE INDEX "I_CATALEGV_MODEL" ON "CATALEGVEHICLE" ("IDMODEL");
/
CREATE INDEX "I_CATALEGV_COMBUSTIBLE" ON "CATALEGVEHICLE" ("IDCOMBUSTIBLE");
/
CREATE INDEX "I_CATALEGV_MOTOR" ON "CATALEGVEHICLE" ("IDMOTOR");
/
CREATE INDEX "I_CATALEGV_ACABAT" ON "CATALEGVEHICLE" ("IDACABAT");
/

--------------------------------------------------------
--  ndexs per a la taula CLIENT
--------------------------------------------------------

CREATE UNIQUE INDEX "I_CLIENT_NIF" ON "CLIENT" ("NIF");
/

--------------------------------------------------------
--  ndexs per a la taula COMERCIAL
--------------------------------------------------------

CREATE UNIQUE INDEX "I_COMERCIAL_NUMEMPLEAT" ON "COMERCIAL" ("NUMEMPLEAT");
/

--------------------------------------------------------
--  ndexs per a la taula MECANIC
--------------------------------------------------------

CREATE UNIQUE INDEX "I_MECANIC_NUMEMPLEAT" ON "MECANIC" ("NUMEMPLEAT");
/

--------------------------------------------------------
--  ndexs per a la taula VEHICLECLIENT
--------------------------------------------------------

CREATE UNIQUE INDEX "I_VCLIENT_BASTIDOR" ON "VEHICLECLIENT" ("BASTIDOR");
/
CREATE UNIQUE INDEX "I_VCLIENT_MATRICULA" ON "VEHICLECLIENT" ("MATRICULA");
/

--------------------------------------------------------
--  ndexs per a la taula VEHICLESTOCK
--------------------------------------------------------

CREATE UNIQUE INDEX "I_VSTOCK_BASTIDOR" ON "VEHICLESTOCK" ("BASTIDOR");
/
CREATE UNIQUE INDEX "I_VSTOCK_MATRICULA" ON "VEHICLESTOCK" ("MATRICULA");
/

