SET SERVEROUTPUT ON;

DECLARE
  PIDCITA NUMBER;
  PIDTALLER NUMBER;
  PDIA DATE;
  PHORA VARCHAR2(5);
  PIDTIPUSCITA NUMBER;
  PIDCLIENT NUMBER;
  PIDVEHICLECLIENT NUMBER;
  POBSERVACIONS VARCHAR2(250);
  RESPOSTA VARCHAR2(200);
BEGIN
  PIDTALLER := 1;
  PDIA := to_date('10/03/2012','dd/mm/yyyy');
  PHORA := '16:00';
  PIDTIPUSCITA := 1;
  PIDCLIENT := 100;
  PIDVEHICLECLIENT := 2;
  POBSERVACIONS := NULL;

  -- Registrar cita en taller
  DBMS_OUTPUT.PUT_LINE('--TEST: REGISTRARCITATALLER');
  REGISTRARCITATALLER(
    PIDTALLER => PIDTALLER,
    PDIA => PDIA,
    PHORA => PHORA,
    PIDTIPUSCITA => PIDTIPUSCITA,
    PIDCLIENT => PIDCLIENT,
    PIDVEHICLECLIENT => PIDVEHICLECLIENT,
    POBSERVACIONS => POBSERVACIONS,
    RESPOSTA => RESPOSTA
  );
  DBMS_OUTPUT.PUT_LINE('RESPOSTA = ' || RESPOSTA);

  -- Modificar cita en taller
  DBMS_OUTPUT.PUT_LINE('--TEST: REGISTRARCITATALLER');  
  PIDCITA := 1;
  PHORA := '17:00';
  MODIFICARCITATALLER(
    PIDCITA => PIDCITA,
    PIDTALLER => PIDTALLER,
    PDIA => PDIA,
    PHORA => PHORA,
    PIDTIPUSCITA => PIDTIPUSCITA,
    PIDCLIENT => PIDCLIENT,
    PIDVEHICLECLIENT => PIDVEHICLECLIENT,
    POBSERVACIONS => POBSERVACIONS,
    RESPOSTA => RESPOSTA
  );
  DBMS_OUTPUT.PUT_LINE('RESPOSTA = ' || RESPOSTA);
  
  -- Esborrar cita en taller
  DBMS_OUTPUT.PUT_LINE('--TEST: ESBORRARCITATALLER');  
  PIDCITA := 1;
  ESBORRARCITATALLER(
    PIDCITA => PIDCITA,
    RESPOSTA => RESPOSTA
  );
  DBMS_OUTPUT.PUT_LINE('RESPOSTA = ' || RESPOSTA);
  
END;