SET SERVEROUTPUT ON;

DECLARE
  PIDCONFIGURACIO NUMBER;
  PANYCATALEG NUMBER;
  PIDMARCA NUMBER;
  PIDMODEL NUMBER;
  PIDCOMBUSTIBLE VARCHAR2(2);
  PIDMOTOR NUMBER;
  PIDACABAT NUMBER;
  PPREU NUMBER;
  PDATAREGISTRE DATE;
  PDATABAIXA DATE;
  RESPOSTA VARCHAR2(200);
BEGIN
  PANYCATALEG := 2012;
  PIDMARCA := 1;
  PIDMODEL := 4;
  PIDCOMBUSTIBLE := 'D';
  PIDMOTOR := 5;
  PIDACABAT := 4;
  PPREU := 17990;
  PDATAREGISTRE := SYSDATE;
  PDATABAIXA := NULL;

  -- Afegir model
  DBMS_OUTPUT.PUT_LINE('--TEST: AFEGIRMODELCATALEG');
  AFEGIRMODELCATALEG(
    PANYCATALEG => PANYCATALEG,
    PIDMARCA => PIDMARCA,
    PIDMODEL => PIDMODEL,
    PIDCOMBUSTIBLE => PIDCOMBUSTIBLE,
    PIDMOTOR => PIDMOTOR,
    PIDACABAT => PIDACABAT,
    PPREU => PPREU,
    PDATABAIXA => PDATABAIXA,
    RESPOSTA => RESPOSTA
  );  
  DBMS_OUTPUT.PUT_LINE('RESPOSTA = ' || RESPOSTA);

  -- Modificar model
  DBMS_OUTPUT.PUT_LINE('--TEST: MODIFICARMODELCATALEG');
  PIDCONFIGURACIO := 60;
  PPREU := 15990;
  MODIFICARMODELCATALEG(
    PIDCONFIGURACIO => PIDCONFIGURACIO,
    PANYCATALEG => PANYCATALEG,
    PIDMARCA => PIDMARCA,
    PIDMODEL => PIDMODEL,
    PIDCOMBUSTIBLE => PIDCOMBUSTIBLE,
    PIDMOTOR => PIDMOTOR,
    PIDACABAT => PIDACABAT,
    PPREU => PPREU,
    PDATAREGISTRE => PDATAREGISTRE,
    PDATABAIXA => PDATABAIXA,
    RESPOSTA => RESPOSTA
  );  
  DBMS_OUTPUT.PUT_LINE('RESPOSTA = ' || RESPOSTA);

  -- Esborrar model
  DBMS_OUTPUT.PUT_LINE('--TEST: ESBORRARMODELCATALEG');
  PIDCONFIGURACIO := 60;
  ESBORRARMODELCATALEG(
    PIDCONFIGURACIO => PIDCONFIGURACIO,
    RESPOSTA => RESPOSTA
  );
  DBMS_OUTPUT.PUT_LINE('RESPOSTA = ' || RESPOSTA);
  
END;
