SET SERVEROUTPUT ON;

DECLARE
  PIDPRESSUPOST NUMBER;
  PIDCOMERCIAL NUMBER;
  PIDCLIENT NUMBER;
  PIDTIPUSVEHICLE NUMBER;
  PIDVEHICLESTOCK NUMBER;
  PIDCOLOR VARCHAR2(4);
  PIDCONFIGURACIO NUMBER;
  PPREU NUMBER;
  PDATAPRESSUPOST DATE;
  RESPOSTA VARCHAR2(200);
BEGIN
  PIDCOMERCIAL := 2;
  PIDCLIENT := 25;
  PIDTIPUSVEHICLE := 1;
  PIDVEHICLESTOCK := NULL;
  PIDCOLOR := 'B4B4';
  PIDCONFIGURACIO := 12;
  PPREU := 17600;
  PDATAPRESSUPOST := SYSDATE;

  -- Crear pressupost
  DBMS_OUTPUT.PUT_LINE('--TEST: CREARPRESSUPOST');
  CREARPRESSUPOST(
    PIDCOMERCIAL => PIDCOMERCIAL,
    PIDCLIENT => PIDCLIENT,
    PIDTIPUSVEHICLE => PIDTIPUSVEHICLE,
    PIDVEHICLESTOCK => PIDVEHICLESTOCK,
    PIDCOLOR => PIDCOLOR,
    PIDCONFIGURACIO => PIDCONFIGURACIO,
    PPREU => PPREU,
    PDATAPRESSUPOST => PDATAPRESSUPOST,
    RESPOSTA => RESPOSTA
  );
  DBMS_OUTPUT.PUT_LINE('RESPOSTA = ' || RESPOSTA);

  -- Modificar pressupost
  DBMS_OUTPUT.PUT_LINE('--TEST: MODIFICARPRESSUPOST');  
  PIDPRESSUPOST := 1;
  PPREU := 14990;
  MODIFICARPRESSUPOST(
    PIDPRESSUPOST => PIDPRESSUPOST,
    PIDCOMERCIAL => PIDCOMERCIAL,
    PIDCLIENT => PIDCLIENT,
    PIDTIPUSVEHICLE => PIDTIPUSVEHICLE,
    PIDVEHICLESTOCK => PIDVEHICLESTOCK,
    PIDCOLOR => PIDCOLOR,
    PIDCONFIGURACIO => PIDCONFIGURACIO,
    PPREU => PPREU,
    PDATAPRESSUPOST => PDATAPRESSUPOST,
    RESPOSTA => RESPOSTA
  );
  DBMS_OUTPUT.PUT_LINE('RESPOSTA = ' || RESPOSTA);
  
    -- Esborrar pressupost
  DBMS_OUTPUT.PUT_LINE('--TEST: ESBORRARPRESSUPOST');   
  PIDPRESSUPOST := 1;
  ESBORRARPRESSUPOST(
    PIDPRESSUPOST => PIDPRESSUPOST,
    RESPOSTA => RESPOSTA
  );
  DBMS_OUTPUT.PUT_LINE('RESPOSTA = ' || RESPOSTA);
  
END;