SET SERVEROUTPUT ON;

DECLARE
  PIDREPARACIO NUMBER;
  PBASTIDOR VARCHAR2(17);
  PKM NUMBER;
  PDATAENTRADA DATE;
  PDATALLIURAMENT DATE;
  PTEMPSRESOLUCIO NUMBER;
  PIMPORTMAOBRA NUMBER;
  PIMPORTMATERIAL NUMBER;
  POBSERVACIONS VARCHAR2(2000);
  PIDMECANIC NUMBER;
  PIDTALLER NUMBER;
  PIDCITA NUMBER;
  RESPOSTA VARCHAR2(200);
BEGIN
  PBASTIDOR := 'VSSZZZ6LZ4R000005';
  PKM := 25000;
  PDATAENTRADA := to_date('10/10/2012','dd/mm/yyyy');
  PDATALLIURAMENT := SYSDATE;
  PTEMPSRESOLUCIO := 6;
  PIMPORTMAOBRA := NULL;
  PIMPORTMATERIAL := NULL;
  POBSERVACIONS := NULL;
  PIDMECANIC := 4;
  PIDTALLER := 2;
  PIDCITA := 2;

  -- Registrar reparacio
  DBMS_OUTPUT.PUT_LINE('--TEST: REGISTRARREPARACIO');
  REGISTRARREPARACIO(
    PBASTIDOR => PBASTIDOR,
    PKM => PKM,
    PDATAENTRADA => PDATAENTRADA,
    PDATALLIURAMENT => PDATALLIURAMENT,
    PTEMPSRESOLUCIO => PTEMPSRESOLUCIO,
    PIMPORTMAOBRA => PIMPORTMAOBRA,
    PIMPORTMATERIAL => PIMPORTMATERIAL,
    POBSERVACIONS => POBSERVACIONS,
    PIDMECANIC => PIDMECANIC,
    PIDTALLER => PIDTALLER,
    PIDCITA => PIDCITA,
    RESPOSTA => RESPOSTA
  );
  DBMS_OUTPUT.PUT_LINE('RESPOSTA = ' || RESPOSTA);  

  -- Modificar reparacio
  DBMS_OUTPUT.PUT_LINE('--TEST: MODIFICARREPARACIO');
  PIDREPARACIO := 2;
  PIDMECANIC := 5;
  MODIFICARREPARACIO(
    PIDREPARACIO => PIDREPARACIO,
    PBASTIDOR => PBASTIDOR,
    PKM => PKM,
    PDATAENTRADA => PDATAENTRADA,
    PDATALLIURAMENT => PDATALLIURAMENT,
    PTEMPSRESOLUCIO => PTEMPSRESOLUCIO,
    PIMPORTMAOBRA => PIMPORTMAOBRA,
    PIMPORTMATERIAL => PIMPORTMATERIAL,
    POBSERVACIONS => POBSERVACIONS,
    PIDMECANIC => PIDMECANIC,
    PIDTALLER => PIDTALLER,
    PIDCITA => PIDCITA,
    RESPOSTA => RESPOSTA
  );
  DBMS_OUTPUT.PUT_LINE('RESPOSTA = ' || RESPOSTA);  
  
  -- Esborrar reparacio
  DBMS_OUTPUT.PUT_LINE('--TEST: ESBORRARREPARACIO');
  PIDREPARACIO := 2;
  ESBORRARREPARACIO(
    PIDREPARACIO => PIDREPARACIO,
    RESPOSTA => RESPOSTA
  );
  DBMS_OUTPUT.PUT_LINE('RESPOSTA = ' || RESPOSTA);  
  
END;