SET SERVEROUTPUT ON;

DECLARE
  PIDREVISIO NUMBER;
  PBASTIDOR VARCHAR2(17);
  PKM NUMBER;
  PDATAENTRADA DATE;
  PDATALLIURAMENT DATE;
  PHABITACLE VARCHAR2(2000);
  PEXTERIOR VARCHAR2(2000);
  PMOTOR VARCHAR2(2000);
  PBAIXOS VARCHAR2(2000);
  PIMPORTMAOBRA NUMBER;
  PIMPORTMATERIAL NUMBER;
  POBSERVACIONS VARCHAR2(2000);
  PIDMECANIC NUMBER;
  PIDTALLER NUMBER;
  PIDCITA NUMBER;
  RESPOSTA VARCHAR2(200);
BEGIN
  PBASTIDOR := 'VSSZZZ6LZ4R000005';
  PKM := 45000;
  PDATAENTRADA := to_date('10/10/2012','dd/mm/yyyy');
  PDATALLIURAMENT := SYSDATE;
  PHABITACLE := NULL;
  PEXTERIOR := NULL;
  PMOTOR := NULL;
  PBAIXOS := NULL;
  PIMPORTMAOBRA := NULL;
  PIMPORTMATERIAL := NULL;
  POBSERVACIONS := NULL;
  PIDMECANIC := 4;
  PIDTALLER := 1;
  PIDCITA := 2;

  -- Registrar revisio
  DBMS_OUTPUT.PUT_LINE('--TEST: REGISTRARREVISIO');
  REGISTRARREVISIO(
    PBASTIDOR => PBASTIDOR,
    PKM => PKM,
    PDATAENTRADA => PDATAENTRADA,
    PDATALLIURAMENT => PDATALLIURAMENT,
    PHABITACLE => PHABITACLE,
    PEXTERIOR => PEXTERIOR,
    PMOTOR => PMOTOR,
    PBAIXOS => PBAIXOS,
    PIMPORTMAOBRA => PIMPORTMAOBRA,
    PIMPORTMATERIAL => PIMPORTMATERIAL,
    POBSERVACIONS => POBSERVACIONS,
    PIDMECANIC => PIDMECANIC,
    PIDTALLER => PIDTALLER,
    PIDCITA => PIDCITA,
    RESPOSTA => RESPOSTA
  );
  DBMS_OUTPUT.PUT_LINE('RESPOSTA = ' || RESPOSTA);  
  
  -- Modificar revisio
  DBMS_OUTPUT.PUT_LINE('--TEST: MODIFICARREVISIO');
  PIDREVISIO := 1;
  PIDMECANIC := 5;
  MODIFICARREVISIO(
    PIDREVISIO => PIDREVISIO,
    PBASTIDOR => PBASTIDOR,
    PKM => PKM,
    PDATAENTRADA => PDATAENTRADA,
    PDATALLIURAMENT => PDATALLIURAMENT,
    PHABITACLE => PHABITACLE,
    PEXTERIOR => PEXTERIOR,
    PMOTOR => PMOTOR,
    PBAIXOS => PBAIXOS,
    PIMPORTMAOBRA => PIMPORTMAOBRA,
    PIMPORTMATERIAL => PIMPORTMATERIAL,
    POBSERVACIONS => POBSERVACIONS,
    PIDMECANIC => PIDMECANIC,
    PIDTALLER => PIDTALLER,
    PIDCITA => PIDCITA,
    RESPOSTA => RESPOSTA
  );
  DBMS_OUTPUT.PUT_LINE('RESPOSTA = ' || RESPOSTA);  
  
  -- Modificar revisio
  DBMS_OUTPUT.PUT_LINE('--TEST: ESBORRARREVISIO');
  PIDREVISIO := 1;  
  ESBORRARREVISIO(
    PIDREVISIO => PIDREVISIO,
    RESPOSTA => RESPOSTA
  );
  DBMS_OUTPUT.PUT_LINE('RESPOSTA = ' || RESPOSTA);    
  
END;