SET SERVEROUTPUT ON;

DECLARE
  PIDVEHICLECLIENT NUMBER;
  PBASTIDOR VARCHAR2(17);
  PIDCLIENT NUMBER;
  PMATRICULA VARCHAR2(9);
  PANYMODEL NUMBER;
  PIDCOLOR VARCHAR2(4);
  PIDCONFIGURACIO NUMBER;
  PTOTALKM NUMBER;
  PDATAMATRICULACIO DATE;
  PDATAULTIMAREVISIO DATE;
  PDATAREGISTRE DATE;
  PDATABAIXA DATE;
  RESPOSTA VARCHAR2(200);
BEGIN
  PBASTIDOR := 'VSSZZZ6LZ4B000008';
  PIDCLIENT := 12;
  PMATRICULA := '5421HBC';
  PANYMODEL := 2011;
  PIDCOLOR := '9M9M';
  PIDCONFIGURACIO := 31;
  PTOTALKM := 14500;
  PDATAMATRICULACIO := NULL;
  PDATAULTIMAREVISIO := NULL;
  PDATAREGISTRE := SYSDATE;
  PDATABAIXA := NULL;

  -- Afegir vehicle client
  DBMS_OUTPUT.PUT_LINE('--TEST: ALTAVEHICLECLIENT');  
  ALTAVEHICLECLIENT(
    PBASTIDOR => PBASTIDOR,
    PIDCLIENT => PIDCLIENT,
    PMATRICULA => PMATRICULA,
    PANYMODEL => PANYMODEL,
    PIDCOLOR => PIDCOLOR,
    PIDCONFIGURACIO => PIDCONFIGURACIO,
    PTOTALKM => PTOTALKM,
    PDATAMATRICULACIO => PDATAMATRICULACIO,
    PDATAULTIMAREVISIO => PDATAULTIMAREVISIO,
    PDATAREGISTRE => PDATAREGISTRE,
    PDATABAIXA => PDATABAIXA,
    RESPOSTA => RESPOSTA
  );
  DBMS_OUTPUT.PUT_LINE('RESPOSTA = ' || RESPOSTA);

  -- Modificar vehicle client
  DBMS_OUTPUT.PUT_LINE('--TEST: MODIFICARVEHICLECLIENT'); 
  PIDVEHICLECLIENT := 51;
  PTOTALKM := 27500;
  MODIFICARVEHICLECLIENT(
    PIDVEHICLECLIENT => PIDVEHICLECLIENT,
    PBASTIDOR => PBASTIDOR,
    PIDCLIENT => PIDCLIENT,
    PMATRICULA => PMATRICULA,
    PANYMODEL => PANYMODEL,
    PIDCOLOR => PIDCOLOR,
    PIDCONFIGURACIO => PIDCONFIGURACIO,
    PTOTALKM => PTOTALKM,
    PDATAMATRICULACIO => PDATAMATRICULACIO,
    PDATAULTIMAREVISIO => PDATAULTIMAREVISIO,
    PDATAREGISTRE => PDATAREGISTRE,
    PDATABAIXA => PDATABAIXA,
    RESPOSTA => RESPOSTA
  );
  DBMS_OUTPUT.PUT_LINE('RESPOSTA = ' || RESPOSTA);

  -- Esborrar vehicle client
  DBMS_OUTPUT.PUT_LINE('--TEST: ESBORRARVEHICLECLIENT'); 
  PIDVEHICLECLIENT := 51;
  ESBORRARVEHICLECLIENT(
    PIDVEHICLECLIENT => PIDVEHICLECLIENT,
    RESPOSTA => RESPOSTA
  );
  DBMS_OUTPUT.PUT_LINE('RESPOSTA = ' || RESPOSTA);
	
END;
