
/*==============================================================*/
/* Drop sequences				                                */
/*==============================================================*/
DROP SEQUENCE  "SEQ_CLIENT";
DROP SEQUENCE  "SEQ_VEHICLECLIENT";
DROP SEQUENCE  "SEQ_VEHICLESTOCK";
DROP SEQUENCE  "SEQ_CATALEGVEHICLE";
DROP SEQUENCE  "SEQ_AGENDA";
DROP SEQUENCE  "SEQ_REPARACIO";
DROP SEQUENCE  "SEQ_REVISIO";
DROP SEQUENCE  "SEQ_PRESSUPOST";
DROP SEQUENCE  "SEQ_COMANDAFABRICA";
DROP SEQUENCE  "SEQ_VENDA";

/*==============================================================*/
/* Drop procedures				                                */
/*==============================================================*/
DROP PROCEDURE "AFEGIRMODELCATALEG";
DROP PROCEDURE "AFEGIROPCIONALCOMANDA";
DROP PROCEDURE "AFEGIROPCIONALPRESSUPOST";
DROP PROCEDURE "AFEGIRVEHICLESTOCK";
DROP PROCEDURE "ALTACLIENT";
DROP PROCEDURE "ALTAVEHICLECLIENT";
DROP PROCEDURE "CREARPRESSUPOST";
DROP PROCEDURE "ESBORRARCITATALLER";
DROP PROCEDURE "ESBORRARCLIENT";
DROP PROCEDURE "ESBORRARMODELCATALEG";
DROP PROCEDURE "ESBORRARPRESSUPOST";
DROP PROCEDURE "ESBORRARREPARACIO";
DROP PROCEDURE "ESBORRARVEHICLECLIENT";
DROP PROCEDURE "ESBORRARVEHICLESTOCK";
DROP PROCEDURE "ESBORRARVENDA";
DROP PROCEDURE "MODIFICARCITATALLER";
DROP PROCEDURE "MODIFICARCLIENT";
DROP PROCEDURE "MODIFICARCOMANDAFABRICA";
DROP PROCEDURE "MODIFICARMODELCATALEG";
DROP PROCEDURE "MODIFICARPRESSUPOST";
DROP PROCEDURE "MODIFICARREPARACIO";
DROP PROCEDURE "MODIFICARREVISIO";
DROP PROCEDURE "ESBORRARREVISIO";
DROP PROCEDURE "MODIFICARVEHICLECLIENT";
DROP PROCEDURE "MODIFICARVEHICLESTOCK";
DROP PROCEDURE "REALITZARCOMANDAFABRICA";
DROP PROCEDURE "REALITZARVENDA";
DROP PROCEDURE "REGISTRARCITATALLER";
DROP PROCEDURE "REGISTRARREPARACIO";
DROP PROCEDURE "REGISTRARREVISIO";
DROP PROCEDURE "TREUREOPCIONALCOMANDA";
DROP PROCEDURE "TREUREOPCIONALPRESSUPOST";

/*==============================================================*/
/* Drop functions				                                */
/*==============================================================*/
DROP FUNCTION CalcularPreuModelConfigurat;
DROP FUNCTION ConsultarConfiguracionsCataleg;
DROP FUNCTION ConsultarColorsModel;
DROP FUNCTION ConsultarOpcionalsModel;
DROP FUNCTION VehiclesPendentsRevisio;

