
--------------------------------------------------------
--  Disparador CLIENT
--------------------------------------------------------

CREATE OR REPLACE TRIGGER "TRG_CLIENT" 
   before insert on "CLIENT" 
   for each row 
begin  
   if inserting then 
      if :NEW."IDCLIENT" is null then 
         select SEQ_CLIENT.nextval into :NEW."IDCLIENT" from dual; 
      end if; 
   end if; 
end;

/
ALTER TRIGGER "TRG_CLIENT" ENABLE;
/

--------------------------------------------------------
--  Disparador VEHICLECLIENT
--------------------------------------------------------

CREATE OR REPLACE TRIGGER "TRG_VEHICLECLIENT" 
   before insert on "VEHICLECLIENT" 
   for each row 
begin  
   if inserting then 
      if :NEW."IDVEHICLECLIENT" is null then 
         select SEQ_VEHICLECLIENT.nextval into :NEW."IDVEHICLECLIENT" from dual; 
      end if; 
   end if; 
end;

/
ALTER TRIGGER "TRG_VEHICLECLIENT" ENABLE;
/

--------------------------------------------------------
--  Disparador VEHICLESTOCK
--------------------------------------------------------

CREATE OR REPLACE TRIGGER "TRG_VEHICLESTOCK" 
   before insert on "VEHICLESTOCK" 
   for each row 
begin  
   if inserting then 
      if :NEW."IDVEHICLESTOCK" is null then 
         select SEQ_VEHICLESTOCK.nextval into :NEW."IDVEHICLESTOCK" from dual; 
      end if; 
   end if; 
end;

/
ALTER TRIGGER "TRG_VEHICLESTOCK" ENABLE;
/

--------------------------------------------------------
--  Disparador CATALEGVEHICLE
--------------------------------------------------------

CREATE OR REPLACE TRIGGER "TRG_CATALEGVEHICLE" 
   before insert on "CATALEGVEHICLE" 
   for each row 
begin  
   if inserting then 
      if :NEW."IDCONFIGURACIO" is null then 
         select SEQ_CATALEGVEHICLE.nextval into :NEW."IDCONFIGURACIO" from dual; 
      end if; 
   end if; 
end;

/
ALTER TRIGGER "TRG_CATALEGVEHICLE" ENABLE;
/

--------------------------------------------------------
--  Disparador AGENDA
--------------------------------------------------------

CREATE OR REPLACE TRIGGER "TRG_AGENDA" 
   before insert on "AGENDA" 
   for each row 
begin  
   if inserting then 
      if :NEW."IDCITA" is null then 
         select SEQ_AGENDA.nextval into :NEW."IDCITA" from dual; 
      end if; 
   end if; 
end;

/
ALTER TRIGGER "TRG_AGENDA" ENABLE;
/

--------------------------------------------------------
--  Disparador REPARACIO
--------------------------------------------------------

CREATE OR REPLACE TRIGGER "TRG_REPARACIO" 
   before insert on "REPARACIO" 
   for each row 
begin  
   if inserting then 
      if :NEW."IDREPARACIO" is null then 
         select SEQ_REPARACIO.nextval into :NEW."IDREPARACIO" from dual; 
      end if; 
   end if; 
end;

/
ALTER TRIGGER "TRG_REPARACIO" ENABLE;
/

--------------------------------------------------------
--  Disparador REVISIO
--------------------------------------------------------

CREATE OR REPLACE TRIGGER "TRG_REVISIO" 
   before insert on "REVISIO" 
   for each row 
begin  
   if inserting then 
      if :NEW."IDREVISIO" is null then 
         select SEQ_REVISIO.nextval into :NEW."IDREVISIO" from dual; 
      end if; 
   end if; 
end;

/
ALTER TRIGGER "TRG_REVISIO" ENABLE;
/

--------------------------------------------------------
--  Disparador PRESSUPOST
--------------------------------------------------------

CREATE OR REPLACE TRIGGER "TRG_PRESSUPOST" 
   before insert on "PRESSUPOST" 
   for each row 
begin  
   if inserting then 
      if :NEW."IDPRESSUPOST" is null then 
         select SEQ_PRESSUPOST.nextval into :NEW."IDPRESSUPOST" from dual; 
      end if; 
   end if; 
end;

/
ALTER TRIGGER "TRG_PRESSUPOST" ENABLE;
/

--------------------------------------------------------
--  Disparador COMANDAFABRICA
--------------------------------------------------------

CREATE OR REPLACE TRIGGER "TRG_COMANDAFABRICA" 
   before insert on "COMANDAFABRICA" 
   for each row 
begin  
   if inserting then 
      if :NEW."IDCOMANDA" is null then 
         select SEQ_COMANDAFABRICA.nextval into :NEW."IDCOMANDA" from dual; 
      end if; 
   end if; 
end;

/
ALTER TRIGGER "TRG_COMANDAFABRICA" ENABLE;
/

--------------------------------------------------------
--  Disparador VENDA
--------------------------------------------------------

CREATE OR REPLACE TRIGGER "TRG_VENDA" 
   before insert on "VENDA" 
   for each row 
begin  
   if inserting then 
      if :NEW."IDVENDA" is null then 
         select SEQ_VENDA.nextval into :NEW."IDVENDA" from dual; 
      end if; 
   end if; 
end;

/
ALTER TRIGGER "TRG_VENDA" ENABLE;
/

