SET SERVEROUTPUT ON;

DECLARE
  PIDCLIENT NUMBER;
  PIDCONCESSIONARI NUMBER;
  PNIF VARCHAR2(10);
  PNOM VARCHAR2(30);
  PCOGNOM1 VARCHAR2(30);
  PCOGNOM2 VARCHAR2(30);
  PADRECA VARCHAR2(100);
  PPOBLACIO VARCHAR2(50);
  PCODIPOSTAL VARCHAR2(5);
  PTELEFON VARCHAR2(10);
  PMAIL VARCHAR2(50);
  PDATAREGISTRE DATE;
  PDATABAIXA DATE;
  RESPOSTA VARCHAR2(200);
BEGIN
  PIDCONCESSIONARI := 2;
  PNIF := '44665443K';
  PNOM := 'Lluis';
  PCOGNOM1 := 'Tomas';
  PCOGNOM2 := 'Sole';
  PADRECA := 'C/Muntaner 230';
  PPOBLACIO := 'Barcelona';
  PCODIPOSTAL := '08080';
  PTELEFON := '934508989';
  PMAIL := NULL;
  PDATAREGISTRE := SYSDATE;
  
  -- Alta client
  DBMS_OUTPUT.PUT_LINE('--TEST: ALTACLIENT');
  ALTACLIENT(
    PIDCONCESSIONARI => PIDCONCESSIONARI,
    PNIF => PNIF,
    PNOM => PNOM,
    PCOGNOM1 => PCOGNOM1,
    PCOGNOM2 => PCOGNOM2,
    PADRECA => PADRECA,
    PPOBLACIO => PPOBLACIO,
    PCODIPOSTAL => PCODIPOSTAL,
    PTELEFON => PTELEFON,
    PMAIL => PMAIL,
    RESPOSTA => RESPOSTA
  );
  DBMS_OUTPUT.PUT_LINE('RESPOSTA = ' || RESPOSTA);
  
  -- Modificar client
  DBMS_OUTPUT.PUT_LINE('--TEST: MODIFICARCLIENT');
  PIDCLIENT := 88;
  PADRECA := 'C/Ferran Puig 230';
  PPOBLACIO := 'Lleida';
  MODIFICARCLIENT(
    PIDCLIENT => PIDCLIENT,
    PIDCONCESSIONARI => PIDCONCESSIONARI,
    PNIF => PNIF,
    PNOM => PNOM,
    PCOGNOM1 => PCOGNOM1,
    PCOGNOM2 => PCOGNOM2,
    PADRECA => PADRECA,
    PPOBLACIO => PPOBLACIO,
    PCODIPOSTAL => PCODIPOSTAL,
    PTELEFON => PTELEFON,
    PMAIL => PMAIL,
    PDATAREGISTRE => PDATAREGISTRE,
    PDATABAIXA => PDATABAIXA,
    RESPOSTA => RESPOSTA
  );
  DBMS_OUTPUT.PUT_LINE('RESPOSTA = ' || RESPOSTA);  
  
  -- Esborrar client
  PIDCLIENT := 103;
  DBMS_OUTPUT.PUT_LINE('--TEST: ESBORRARCLIENT');
  ESBORRARCLIENT(
    PIDCLIENT => PIDCLIENT,
    RESPOSTA => RESPOSTA
  );
  DBMS_OUTPUT.PUT_LINE('RESPOSTA = ' || RESPOSTA);
	
END;
