SET SERVEROUTPUT ON;

DECLARE
  PIDCOMANDA NUMBER;
  PIDCONCESSIONARI NUMBER;
  PDATACOMANDA DATE;
  PIDVENDA NUMBER;
  PIDCONFIGURACIO NUMBER;
  PIDCOLOR VARCHAR2(4);
  PSETMANAPROD NUMBER;
  PFIPRODUCCIO DATE;
  PBASTIDOR VARCHAR2(17);
  RESPOSTA VARCHAR2(200);
BEGIN
  PIDCONCESSIONARI := 1;
  PDATACOMANDA := SYSDATE;
  PIDVENDA := 2;
  PIDCONFIGURACIO := 23;
  PIDCOLOR := 'B4B4';
  PSETMANAPROD := NULL;
  PFIPRODUCCIO := NULL;
  PBASTIDOR := NULL;

  -- Realitzar comanda a fabrica
  DBMS_OUTPUT.PUT_LINE('--TEST: REALITZARCOMANDAFABRICA');
  REALITZARCOMANDAFABRICA(
    PIDCONCESSIONARI => PIDCONCESSIONARI,
    PDATACOMANDA => PDATACOMANDA,
    PIDVENDA => PIDVENDA,
    PIDCONFIGURACIO => PIDCONFIGURACIO,
    PIDCOLOR => PIDCOLOR,
    PSETMANAPROD => PSETMANAPROD,
    PFIPRODUCCIO => PFIPRODUCCIO,
    PBASTIDOR => PBASTIDOR,
    RESPOSTA => RESPOSTA
  );
  DBMS_OUTPUT.PUT_LINE('RESPOSTA = ' || RESPOSTA);
  
  -- Modificar comanda a fabrica
  DBMS_OUTPUT.PUT_LINE('--TEST: MODIFICARCOMANDAFABRICA');
  PIDCOMANDA := 1;
  PIDCOLOR := '9M9M';
  MODIFICARCOMANDAFABRICA(
    PIDCOMANDA => PIDCOMANDA,
    PIDCONCESSIONARI => PIDCONCESSIONARI,
    PDATACOMANDA => PDATACOMANDA,
    PIDVENDA => PIDVENDA,
    PIDCONFIGURACIO => PIDCONFIGURACIO,
    PIDCOLOR => PIDCOLOR,
    PSETMANAPROD => PSETMANAPROD,
    PFIPRODUCCIO => PFIPRODUCCIO,
    PBASTIDOR => PBASTIDOR,
    RESPOSTA => RESPOSTA
  );
  DBMS_OUTPUT.PUT_LINE('RESPOSTA = ' || RESPOSTA);
  
END;