SET SERVEROUTPUT ON;

DECLARE
  PIDVEHICLESTOCK NUMBER;
  PBASTIDOR VARCHAR2(17);
  PIDCONCESSIONARI NUMBER;
  PIDTIPUSVEHICLE NUMBER;
  PMATRICULA VARCHAR2(9);
  PANYMODEL NUMBER;
  PIDCOLOR VARCHAR2(4);
  PIDCONFIGURACIO NUMBER;
  PTOTALKM NUMBER;
  PDATAMATRICULACIO DATE;
  PPREU NUMBER;
  PDATAENTRADA DATE;
  PDATASORTIDA DATE;
  RESPOSTA VARCHAR2(200);
BEGIN
  PBASTIDOR := 'VSSZZZ6LZ4A000008';
  PIDCONCESSIONARI := 2;
  PIDTIPUSVEHICLE := 1;
  PMATRICULA := '4332HDB';
  PANYMODEL := '2011';
  PIDCOLOR := '9M9M';
  PIDCONFIGURACIO := 23;
  PTOTALKM := 19000;
  PDATAMATRICULACIO := NULL;
  PPREU := 17800;
  PDATAENTRADA := SYSDATE;
  PDATASORTIDA := NULL;

  -- Afegir vehicle stock
  DBMS_OUTPUT.PUT_LINE('--TEST: AFEGIRVEHICLESTOCK');  
  AFEGIRVEHICLESTOCK(
    PBASTIDOR => PBASTIDOR,
    PIDCONCESSIONARI => PIDCONCESSIONARI,
    PIDTIPUSVEHICLE => PIDTIPUSVEHICLE,
    PMATRICULA => PMATRICULA,
    PANYMODEL => PANYMODEL,
    PIDCOLOR => PIDCOLOR,
    PIDCONFIGURACIO => PIDCONFIGURACIO,
    PTOTALKM => PTOTALKM,
    PDATAMATRICULACIO => PDATAMATRICULACIO,
    PPREU => PPREU,
    PDATAENTRADA => PDATAENTRADA,
    PDATASORTIDA => PDATASORTIDA,
    RESPOSTA => RESPOSTA
  );
  DBMS_OUTPUT.PUT_LINE('RESPOSTA = ' || RESPOSTA);

  -- Modificar vehicle stock
  DBMS_OUTPUT.PUT_LINE('--TEST: MODIFICARVEHICLESTOCK');  
  PIDVEHICLESTOCK := 51;
  PTOTALKM := 22000;
  MODIFICARVEHICLESTOCK(
    PIDVEHICLESTOCK => PIDVEHICLESTOCK,
    PBASTIDOR => PBASTIDOR,
    PIDCONCESSIONARI => PIDCONCESSIONARI,
    PIDTIPUSVEHICLE => PIDTIPUSVEHICLE,
    PMATRICULA => PMATRICULA,
    PANYMODEL => PANYMODEL,
    PIDCOLOR => PIDCOLOR,
    PIDCONFIGURACIO => PIDCONFIGURACIO,
    PTOTALKM => PTOTALKM,
    PDATAMATRICULACIO => PDATAMATRICULACIO,
    PPREU => PPREU,
    PDATAENTRADA => PDATAENTRADA,
    PDATASORTIDA => PDATASORTIDA,
    RESPOSTA => RESPOSTA
  );
  DBMS_OUTPUT.PUT_LINE('RESPOSTA = ' || RESPOSTA);
  
  -- Esborrar vehicle stock
  DBMS_OUTPUT.PUT_LINE('--TEST: ESBORRARVEHICLESTOCK');  
  PIDVEHICLESTOCK := 51;
  ESBORRARVEHICLESTOCK(
    PIDVEHICLESTOCK => PIDVEHICLESTOCK,
    RESPOSTA => RESPOSTA
  );  
  DBMS_OUTPUT.PUT_LINE('RESPOSTA = ' || RESPOSTA);
  
END;