SET SERVEROUTPUT ON;

DECLARE
  PIDVENDA NUMBER;
  PIDCOMERCIAL NUMBER;
  PIMPORT NUMBER;
  PDATAVENDA DATE;
  PDATALLIURAMENT DATE;
  PIDPRESSUPOST NUMBER;
  RESPOSTA VARCHAR2(200);
BEGIN
  PIDCOMERCIAL := 2;
  PIMPORT := 19990;
  PDATAVENDA := SYSDATE;
  PDATALLIURAMENT := NULL;
  PIDPRESSUPOST := 2;

  -- Realitzar venda
  DBMS_OUTPUT.PUT_LINE('--TEST: REALITZARVENDA');
  REALITZARVENDA(
    PIDCOMERCIAL => PIDCOMERCIAL,
    PIMPORT => PIMPORT,
    PDATAVENDA => PDATAVENDA,
    PDATALLIURAMENT => PDATALLIURAMENT,
    PIDPRESSUPOST => PIDPRESSUPOST,
    RESPOSTA => RESPOSTA
  );
  DBMS_OUTPUT.PUT_LINE('RESPOSTA = ' || RESPOSTA);
  
  -- Esborrar venda
  DBMS_OUTPUT.PUT_LINE('--TEST: ESBORRARVENDA');
  PIDVENDA := 1;
  ESBORRARVENDA(
    PIDVENDA => PIDVENDA,
    RESPOSTA => RESPOSTA
  );
  DBMS_OUTPUT.PUT_LINE('RESPOSTA = ' || RESPOSTA);
  
END;