
--------------------------------------------------------
-- R2. Rnquing de millors venedors                                              
--------------------------------------------------------
SELECT DC.NOM||' '||DC.COGNOM1||' '||DC.COGNOM2 AS COMERCIAL, COUNT(*) AS TOTAL_VENDES
FROM DW_F_VENDA FV, DW_D_COMERCIAL DC, DW_D_TEMPS DT
WHERE FV.IDCOMERCIAL = DC.IDCOMERCIAL
AND FV.IDTEMPS = DT.IDTEMPS
AND DT.ANYO = 2012
GROUP BY DC.NOM||' '||DC.COGNOM1||' '||DC.COGNOM2
ORDER BY TOTAL_VENDES DESC;