
--------------------------------------------------------
-- R6. Rnquing dels models ms venuts                                        
--------------------------------------------------------
SELECT DC.MARCA, DC.MODEL, DC.MOTOR, DC.ACABAT, COUNT(*) AS TOTAL_VENDES
FROM DW_F_VENDA FV, DW_D_TEMPS DT, DW_D_CATALEGVEHICLE DC
WHERE FV.IDCONFIGURACIO = DC.IDCONFIGURACIO
AND FV.IDTEMPS = DT.IDTEMPS
AND DT.ANYO = 2012
GROUP BY DC.MARCA, DC.MODEL, DC.COMBUSTIBLE, DC.MOTOR, DC.ACABAT
ORDER BY TOTAL_VENDES DESC;